---@meta

---@class UWBP_Build_Button_Tool_C : UB1CustomizeButtonTool
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Anim_Selected UWidgetAnimation
---@field Anim_Clicked UWidgetAnimation
---@field Anim_Hover UWidgetAnimation
---@field Anim_Idle UWidgetAnimation
---@field Image_Icon UB1Image
local UWBP_Build_Button_Tool_C = {}

---@param MyGeometry FGeometry
---@param MouseEvent FPointerEvent
function UWBP_Build_Button_Tool_C:OnMouseEnter(MyGeometry, MouseEvent) end
---@param MouseEvent FPointerEvent
function UWBP_Build_Button_Tool_C:OnMouseLeave(MouseEvent) end
---@param InSelected boolean
function UWBP_Build_Button_Tool_C:OnSelectButton(InSelected) end
function UWBP_Build_Button_Tool_C:Construct() end
---@param EntryPoint int32
function UWBP_Build_Button_Tool_C:ExecuteUbergraph_WBP_Build_Button_Tool(EntryPoint) end


